#include <bits/stdc++.h>
using namespace std;
#define ff(i,a,n) for(int i = a;i<n;++i)
long long a[1501][1509];
int main(int argc, char** argv) {
	int n;cin>>n;
    int m;cin>>m;
    ff(i,0,n){
        ff(j,0,m){
            cin>>a[i][j];
        }
    }
	cout<<0;
	return 0;
}